QGIS Application - Feature request #6197
New filetype extensions for SpatialLite
2012-08-15 07:05 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15511
Description

The SpatiaLite database reader only looks for two filetype extensions. | believe all of the following can also be used, and this is just for
sqlite3 - These are all from SQLiteStudio:

.db3

.s3db

.sqlite3

.db3

.s3db

.sqlite3

.sI3 - This one is what FME calls its SpatiaL.ite files.

Note: | am aware of "all files" from the drop-down, but believe those should be added to the extensions list anyway.

Associated revisions

Revision f8c4b3a2 - 2015-12-12 09:00 PM - Jiirgen Fischer
Merge pull request #2571 from medspx/work_newfile_extensions
Add formats extensions/protocol already supported by GDAL/OGR

(fixes #3799, fixes #4362, fixes #5242, fixes #6197)

History

#1 - 2012-08-16 09:14 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Category set to Vectors

- Target version set to Version 2.0.0

afaik a spatialite db does not need necessarily an extension, anyway if the above extensions are used by some programs or are formats correctly
recognized by OGR (like the .sI3, see #6196) then | agree that the list in the "add vector layer" dialog should be updated.

Jonathan, when filing tickets please fill all the available information/details, otherwise it become difficult to search for already existing tickets.

#2 - 2012-08-16 09:24 AM - Jonathan Moules

Hi Giovanni; Sorry for not filling out all information. TBH, there's too much to fill and its not clear which ones | should be filling in and which ones you should

or even what goes where. Also, this bug (#6202) means that half the time | have the wrong options showing anyway.
#3 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-12-09 11:19 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

to sum up:

- Add .db3, .s3db, .sqlite3, .db3, .s3db, .sqlite3 to OGR provider/Add Spatialite Layer/Create a new spatialite layer file selector extension filters.
- Add .sI3 as a new "SQLite Spatial (FDO)" entry in OGR provider file selector extension filters.

That's it ?

#5 - 2015-12-12 12:01 PM - Jiirgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"f8c4b3a21cb13cc0871cb0fb2ec9b231742b71d5".

2025-04-26 22



